#
# spec file for package gnote
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gnote
Version:        0.8.1
Release:        1
License:        GNU GPL v3 or later
Summary:        A Port of Tomboy to C++
Group:          Productivity/Text/Editors
Url:            http://live.gnome.org/Gnote
Source:         http://download.gnome.org/sources/gnote/0.8/%{name}-%{version}.tar.bz2
BuildRequires:  boost-devel >= 1.34
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gtkmm3-devel >= 3.0
BuildRequires:  intltool
BuildRequires:  libuuid-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  pcre-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(libpanelapplet-4.0) >= 3.0
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
It is the same note taking application, including most of the add-ins (more are
to come). Synchronization support is being worked on.

%lang_package
%prep
%setup -q

%build
%configure --disable-static --disable-scrollkeeper
V=1 make %{?_smp_mflags}

%install
%make_install
%suse_update_desktop_file gnote     Utility  DesktopUtility
%find_lang %{name} %{?no_lang_C}

%clean
test "%{buildroot}" != "/" && %__rm -rf %{buildroot}

%if 0%{?suse_version} > 1130

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post
%endif

%if 0%{?suse_version} > 1130

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files
%defattr(-,root,root)
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}/
%doc %{_datadir}/gnome/help/%{name}/C/
%{_bindir}/gnote
%{_libexecdir}/gnote-applet
%{_libdir}/gnote/
%{_datadir}/applications/gnote.desktop
%{_datadir}/dbus-1/services/org.gnome.Gnote.service
%{_datadir}/dbus-1/services/org.gnome.panel.applet.GnoteAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.gnome.gnote.gschema.xml
%{_datadir}/gnome-panel/4.0/applets/org.gnome.gnote.panel-applet
%{_datadir}/gnote/
%{_datadir}/icons/hicolor/*/apps/gnote.*
%{_mandir}/man1/gnote.1*

%files lang -f %{name}.lang

%changelog
